/* ==========================================================================
* 파    일 : ColumnQuickSlot.h
* 목    적 : 
* 작 성 자 : 김가람
* 작 성 일 : 2007-06-19
* 주의사항 :
*===========================================================================*/
#pragma once
#include "UIWindow.h"
#include "Icon.h"
#include "QuickManager.h"

class cRadioButton;
/// 가로형 퀵슬롯 
class cColumnQuickSlot : public cUIWindow
{
public:
	cColumnQuickSlot();
	virtual ~cColumnQuickSlot();

	void ChangeTab();
	void ChangeTab( int tabIndex );

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnRender(cUIFontItemKeeper* pKeeper );
	void OnCommand( cUINode* caller, unsigned int id );
	void OnRadioPressed( cUINode* pcaller, unsigned int id );
	void OnIconHovered(cUINode* caller, unsigned int id, const cUIPos& pos );
	void OnIconDragged( cUINode* caller, unsigned int id, const cUIPos& pos, bool shift );
	void OnIconRightClicked( cUINode* caller, unsigned int id, bool shift );
	void OnIconDoubleClicked( cUINode* caller, unsigned int id );
	void UpdateRect();
	void OnShow();

protected:
	cIcon* mIcon[QUICKSLOT_COUNT];
	cRadioButton* mRadio[3];

	/// 퀵슬롯 번호 이미지
	cUIImage*	mpNumImage[QUICKSLOT_COUNT];
};	

/// FS 퀵슬롯
class cFSColumnQuickSlot : public cColumnQuickSlot
{
public:
	cFSColumnQuickSlot();
	virtual ~cFSColumnQuickSlot();

protected:
	bool OnCreate( cUINodeProperty* pproperty );
	void OnCommand( cUINode* caller, unsigned int id );
	void OnIconHovered(cUINode* caller, unsigned int id, const cUIPos& pos );
	void OnIconDragged( cUINode* caller, unsigned int id, const cUIPos& pos, bool shift );
	void OnIconRightClicked( cUINode* caller, unsigned int id, bool shift );
	void OnIconDoubleClicked( cUINode* caller, unsigned int id );
};
